DOM::CSSStyleSheet Class Reference

`#include <css_stylesheet.h>`

Inheritance diagram for DOM::CSSStyleSheet:

## Public Member Functions

| CSSStyleSheet (const CSSStyleSheet &other)
| CSSStyleSheet (const StyleSheet &other)
| CSSStyleSheet (CSSStyleSheetImpl *impl)
CSSStyleSheet & | operator= (const CSSStyleSheet &other)
CSSStyleSheet & | operator= (const StyleSheet &other)
CSSRule | ownerRule () const
CSSRuleList | cssRules () const
unsigned long | insertRule (const DOM::DOMString &rule, unsigned long index)
void | deleteRule (unsigned long index)
Public Member Functions inherited from DOM::StyleSheet
| StyleSheet (const StyleSheet &other)
| StyleSheet (StyleSheetImpl *impl)
StyleSheet & | operator= (const StyleSheet &other)
DOM::DOMString | type () const
bool | disabled () const
void | setDisabled (bool)
DOM::Node | ownerNode () const
StyleSheet | parentStyleSheet () const
DOM::DOMString | href () const
DOM::DOMString | title () const
MediaList | media () const
bool | isCSSStyleSheet () const
StyleSheetImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Protected Attributes inherited from DOM::StyleSheet
StyleSheetImpl * | impl

## Detailed Description

The `CSSStyleSheet` interface is a concrete interface used to represent a CSS style sheet i.e.

a style sheet whose content type is "text/css".

Definition at line 207 of file css_stylesheet.h.

## Member Function Documentation

CSSRuleList CSSStyleSheet::cssRules | ( |  | ) | const

The list of all CSS rules contained within the style sheet.

This includes both rule sets and at-rules .

Definition at line 173 of file css_stylesheet.cpp.

void CSSStyleSheet::deleteRule | ( | unsigned long | index | ) |

Used to delete a rule from the style sheet.

Parameters

  index | The index within the style sheet's rule list of the rule to remove.

Returns

Exceptions

  DOMException | INDEX_SIZE_ERR: Raised if the specified index does not correspond to a rule in the style sheet's rule list.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

Definition at line 191 of file css_stylesheet.cpp.

unsigned long CSSStyleSheet::insertRule | ( | const DOM::DOMString & | rule,
|  | unsigned long | index
| ) |  |

Used to insert a new rule into the style sheet.

The new rule now becomes part of the cascade.

Parameters

  rule | The parsable text representing the rule. For rule sets this contains both the selector and the style declaration. For at-rules, this specifies both the at-identifier and the rule content.
  index | The index within the style sheet's rule list of the rule before which to insert the specified rule. If the specified index is equal to the length of the style sheet's rule collection, the rule will be added to the end of the style sheet.

Returns
  The index within the style sheet's rule collection of the newly inserted rule.

Exceptions

  DOMException | HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at the specified index e.g. if an `@import` rule is inserted after a standard rule set or other at-rule.

INDEX_SIZE_ERR: Raised if the specified index is not a valid insertion point.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

Exceptions

  CSSException | SYNTAX_ERR: Raised if the specified rule has a syntax error and is unparsable.

Definition at line 179 of file css_stylesheet.cpp.

CSSRule CSSStyleSheet::ownerRule | ( |  | ) | const

If this style sheet comes from an `@import` rule, the `ownerRule` attribute will contain the `CSSImportRule` .

In that case, the `ownerNode` attribute in the `StyleSheet` interface will be `null` . If the style sheet comes from an element or a processing instruction, the `ownerRule` attribute will be `null` and the `ownerNode` attribute will contain the `Node` .

Definition at line 167 of file css_stylesheet.cpp.

The documentation for this class was generated from the following files:

- css_stylesheet.h
- css_stylesheet.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys